class Float
  EPSILON = 1e-6    # 0.000001
  def ==(x)
     (self-x).abs < EPSILON
  end
end

x = 1000001.0/0.003
y = 0.003*x
if y == 1.0          # Using the new ==
  puts "yes"         # Now we output "yes"
else
  puts "no"
end

